Wordpress content framework


Keywords
framework, wordpress, php
License
GPL-2.0+

Documentation

WP Content Framework (Common module)

License: GPL v2+ PHP: >=5.6 WordPress: >=3.9.3

WP Content Framework のモジュールです。

要件

  • PHP 5.6 以上
  • WordPress 3.9.3 以上

インストール

composer require wp-content-framework/common

基本設定

  • configs/config.php
設定値 説明
cache_filter_result filterをキャッシュするかどうかを設定 [default = true]
cache_filter_exclude_list キャッシュから除外するfilterを設定 [default = []]
  • configs/settings.php
設定値 説明
use_filesystem_credentials ファイルシステム認証を使用するかどうかを設定 [default = false]
KUSANAGI等のファイルシステム認証が必要な環境で有効にすると正しく動作するようになる場合があります

Author

GitHub (Technote)
Blog